Name:                disruptor
Version:             3.4.4
Release:             1
Summary:             Concurrent Programming Framework
License:             ASL 2.0
URL:                 http://lmax-exchange.github.io/disruptor/
Source0:             https://github.com/LMAX-Exchange/disruptor/archive/%{version}/disruptor-%{version}.tar.gz
Source1:             http://repo1.maven.org/maven2/com/lmax/disruptor/%{version}/disruptor-%{version}.pom
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.hamcrest:hamcrest-library) mvn(org.jmock:jmock-junit4)
BuildRequires:       mvn(org.jmock:jmock-legacy)

%if 0
# Unavailable performance test deps
BuildRequires:       mvn(org.hdrhistogram:HdrHistogram:1.2.1)
%endif
BuildArch:           noarch

%description
A High Performance Inter-Thread Messaging Library.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -print -delete
find . -name "*.jar" -type f -print -delete
cp -p %{SOURCE1} pom.xml
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-DocURL>%{url}</Bundle-DocURL>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>LMAX Disruptor Development Team</Bundle-Vendor>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'
rm -r src/test/java/com/lmax/disruptor/RingBufferTest.java \
 src/test/java/com/lmax/disruptor/RingBufferEventMatcher.java
rm -r src/test/java/com/lmax/disruptor/dsl/DisruptorTest.java
%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8 -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENCE.txt

%files javadoc -f .mfiles-javadoc
%license LICENCE.txt

%changelog
* Wed Dec 22 2021 yaoxin <yaoxin30@huawei.com> - 3.4.4-1
- Upgrade disruptor to 3.4.4

* Fri Aug 14 2020 leiju <leiju4@huawei.com> - 3.3.6-1
- Package init
